
Ryzom - Bug # 883

Status: Closed Priority: Normal
Author: ratmice Category: Build
Created: 05/11/2010 Assignee: kervala
Updated: 05/28/2010 Due date:
Subject: linux segfault in lua
Description

This patch fixes a segfault in lua under linux,
The functions declared in it never get called
(I suspect that maybe it is from a shared library constructor)?
but the symbols defined conflict with luas symbols
and due to the commented out implementation of the function, the
dll versions of the symbols never get populated.

History
#1 - 05/11/2010 09:43 pm - kervala

lua_dll.cpp is not used on Windows so I will add exceptions on CMakeLists.txt

#2 - 05/11/2010 09:45 pm - kervala
- Category set to Build
- Status changed from New to Assigned
- Assignee set to kervala

#3 - 05/11/2010 09:46 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r102.

#4 - 05/11/2010 09:47 pm - kervala
- Target version set to Version 0.8.0

#5 - 05/28/2010 05:23 pm - vl
- Status changed from Resolved to Closed

Files
lua_segf.diff 536 Bytes 05/11/2010 ratmice
